{{ form_start(form) }}
<div class="grid gap-4 mb-4 sm:grid-cols-2 sm:gap-6 sm:mb-5">
    <div class="sm:col-span-2">
        {{ form_label(form.name, 'Nom entreprise', {'label_attr': {'class': 'block mb-2 text-sm font-medium text-gray-900'}}) }}
        {{ form_widget(form.name, {'attr': {'class': 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5'}}) }}
    </div>
    <div class="w-full">
        {{ form_label(form.phone, 'Numéro de téléphone', {'label_attr': {'class': 'block mb-2 text-sm font-medium text-gray-900'}}) }}
        {{ form_widget(form.phone, {'attr': {'class': 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5'}}) }}
    </div>
    <div class="w-full">
        {{ form_label(form.route, 'Rue', {'label_attr': {'class': 'block mb-2 text-sm font-medium text-gray-900'}}) }}
        {{ form_widget(form.route, {'attr': {'class': 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5'}}) }}
    </div>
    <div class="w-full">
        {{ form_label(form.zipcode, 'Code postal', {'label_attr': {'class': 'block mb-2 text-sm font-medium text-gray-900'}}) }}
        {{ form_widget(form.zipcode, {'attr': {'class': 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5'}}) }}
    </div>
    <div class="w-full">
        {{ form_label(form.country, 'Pays', {'label_attr': {'class': 'block mb-2 text-sm font-medium text-gray-900'}}) }}
        {{ form_widget(form.country, {'attr': {'class': 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5'}}) }}
    </div>
    <div class="sm:col-span-2">
        {{ form_widget(form.hasApi, {'attr': {'class': 'w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500'}}) }}
        {{ form_label(form.hasApi, 'Le fournisseur à une API', {'label_attr': {'class': 'w-full py-4 ms-2 text-sm font-medium text-gray-900'}}) }}
    </div>
    <button class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center">
        {{ button_label|default('Enregistrer') }}
    </button>
</div>
{{ form_end(form) }}
